<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="index.css">
</head>
<body>
<div class="forms">
    <div id="delay-form-group" class="form-group">
        <label for="delay-input">Information retrieval delay in seconds</label>
        <input id="delay-input" type="number" value="0" min="0">
        <div>
            <i>Max time to wait until the title and favicon have been
                retrieved.</i>
            <p><b>0 = wait endlessly.</b></p>
        </div>
    </div>
    <div id="private-window-form-group" class="form-group">
        <label for="private-window-input">Get information with private
            window</label>
        <input id="private-window-input" type="checkbox">
        <div>
            <i>
                Stops using a random container
                for getting information about the page to save.
            </i>
            <p>
                You <b>must</b> allow the extension to be used
                in private windows otherwise this won't work at all.
            </p>
            <p>
                This can be a solution should addons like
                <a href="https://addons.mozilla.org/firefox/addon/containerise">
                Containerise
                </a>,
                <a href="https://addons.mozilla.org/firefox/addon/multi-account-containers/">
                    Firefox Multi-Account Containers
                </a> or one of the many other container extensions,
                be installed.
            </p>
            <p>
                <b>Private windows share context!</b>
                <span>
                    So if you already have a private session open
                    and use this extension to save a link, that page
                    will be opened in the same context!
                </span>
            </p>
        </div>
    </div>
</div>
<script src="index.js" type="application/javascript"></script>
</body>
</html>
